Add a staff member blockout to a staff member
Creates a staff member blockout with staff_member_id set to this staff member.
Path Parameters
- Type: stringFormat: uuididrequired
Staff member id.
Body·
required
application/json
Fields accepted when creating a staff member blockout. Unknown or read-only fields are rejected.
- Type: string | nullFormat: dateend
_date requiredfull-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21
- Type: string | nullFormat: uuidstaff
_member _id requiredReferences staff_members.id.
- Type: string | nullFormat: datestart
_date requiredfull-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21
- Type: string | nullreason
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/staff-members/{id}/blockouts
curl https://api.hireorpheus.com/api/v1/staff-members/123e4567-e89b-12d3-a456-426614174000/blockouts \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"staff_member_id": null,
"start_date": null,
"end_date": null,
"reason": null
}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"staff_member_id": null,
"start_date": null,
"end_date": null,
"reason": null,
"created_at": "2026-10-14T08:02:53.591Z",
"updated_at": "2026-10-14T08:02:53.591Z"
}
}